<script>
    import CarTable from "../components/CarTable.svelte";

    const currentDate = new Date();


    import {fromDate, toDate} from "../stores";
    import {getCars} from "../carStore";

    fromDate.set(currentDate.toLocaleDateString());
</script>

<div class="container">
    <div class="datemenu">
        <label for="fromDate">Start</label>
        <input type="date" id="fromDate" max="{$toDate}" bind:value={$fromDate}>

        <label for="toDate">Return</label>
        <input type="date" id="toDate" min="{$fromDate}" bind:value={$toDate}>

        {#if $toDate && $fromDate}
            <button on:click={getCars()}>Get cars</button>
        {:else}
            <button disabled>Get cars</button>
        {/if}
    </div>

    <div class="table">
        <CarTable/>
    </div>
</div>
<style>

    .container {
        display: flex;
        flex-direction: column;
        max-width: 50vw;
    }

    .datemenu {
        flex-direction: row;
        background-color: aquamarine;
        width: 100%;
        height: fit-content;
        justify-content: center;
        padding: 10px;
    }

    label {
        display: block;
    }

    input {
        display: inline;
    }
</style>